Skip to main content
POST
/
events
Ingest billable events
curl --request POST \
  --url https://api.alguna.io/events \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "account": "cust_01H1VECT",
      "event_name": "api_call",
      "unique_id": "evt_abc123",
      "properties": {},
      "timestamp": "2026-04-01T10:00:00Z"
    }
  ]
}
'
{
  "failed": [
    "<string>"
  ],
  "ingested": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Body

application/json
events
object[]
required

Array of events to ingest. Maximum 100 events per request

Response

Success

failed
string[]
required

List of unique_id values that failed to ingest

ingested
string[]
required

List of unique_id values that were successfully ingested